Package org.eclipse.emf.cdo.spi.workspace

## Interface InternalCDOWorkspace

- All Superinterfaces:
    `CDOElement.StateProvider`, `CDORevisionProvider`, `CDOWorkspace`, `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.event.INotifier`

      public interface InternalCDOWorkspace
      extends CDOWorkspace, org.eclipse.net4j.util.container.IManagedContainerProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.workspace.CDOWorkspace

      `CDOWorkspace.DirtyStateChangedEvent, CDOWorkspace.ObjectStatesChangedEvent`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `NO_BRANCH_ID` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InternalCDOWorkspaceBase` | `getBase()` |
    `CDOCommonRepository.IDGenerationLocation` | `getIDGenerationLocation()` |
    `CDOChangeSetData` | `getLocalChanges​(boolean forward)` |
    `InternalRepository` | `getLocalRepository()` |
    `InternalCDOSession` | `getLocalSession()` |
    `CDOSessionConfigurationFactory` | `getRemoteSessionConfigurationFactory()` |
    `InternalCDOView[]` | `getViews()` |
    `void` | `replace​(java.lang.String branchPath, long timeStamp, CDOChangeSetData revertData)` |
    `void` | `revert​(CDOChangeSetData revertData)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOElement.StateProvider

      `getState`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

    - ### Methods inherited from interface org.eclipse.emf.cdo.workspace.CDOWorkspace

      `checkin, checkin, compare, compare, getBranchID, getBranchPath, getLocalChanges, getTimeStamp, isDirty, isFixed, merge, merge, openTransaction, openTransaction, openView, openView, replace, revert, update`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IManagedContainerProvider

      `getContainer`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### NO_BRANCH_ID

          static final int NO_BRANCH_ID

      Since:
        4.2
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getViews

          InternalCDOView[] getViews()

      Since:
        4.2

    - #### getIDGenerationLocation

          CDOCommonRepository.IDGenerationLocation getIDGenerationLocation()

      Since:
        4.1

    - #### getBase

          InternalCDOWorkspaceBase getBase()

      Specified by:
        `getBase` in interface `CDOWorkspace`

    - #### getLocalRepository

          InternalRepository getLocalRepository()

    - #### getLocalSession

          InternalCDOSession getLocalSession()

    - #### getLocalChanges

          CDOChangeSetData getLocalChanges​(boolean forward)

      Since:
        4.2

    - #### getRemoteSessionConfigurationFactory

          CDOSessionConfigurationFactory getRemoteSessionConfigurationFactory()

      Since:
        4.1

    - #### revert

          void revert​(CDOChangeSetData revertData)

      Since:
        4.2

    - #### replace

          void replace​(java.lang.String branchPath,
                       long timeStamp,
                       CDOChangeSetData revertData)

      Since:
        4.2